# Speedflow Plugin Git

[![Build Status](https://travis-ci.org/speedflow/speedflow-plugin-git.svg?branch=master)](https://travis-ci.org/speedflow/speedflow-plugin-git)
[![Gem Version](https://badge.fury.io/rb/speedflow-plugin-git.svg)](https://badge.fury.io/rb/speedflow-plugin-git)
[![Dependency Status](https://gemnasium.com/speedflow/speedflow-plugin-git.svg)](https://gemnasium.com/speedflow/speedflow-plugin-git)
[![Code Climate](https://codeclimate.com/github/speedflow/speedflow-plugin-git/badges/gpa.svg)](https://codeclimate.com/github/speedflow/speedflow-plugin-git)
[![Test Coverage](https://codeclimate.com/github/speedflow/speedflow-plugin-git/badges/coverage.svg)](https://codeclimate.com/github/speedflow/speedflow-plugin-git/coverage)
[![Inline docs](http://inch-ci.org/github/speedflow/speedflow-plugin-git.svg?branch=master)](http://inch-ci.org/github/speedflow/speedflow-plugin-git)

:package: A Speedflow plugin to work with [Git](https://git-scm.com/).

## How to install?

`gem install speedflow-plugin-git`

## How to configure?

`.speedflow.yml` :
```yml
---
plugins:
  - git
```

#### Create a branch

`.speedflow.yml` :
```yml
#...

flow:
  test:
    - plugin: git
      action: create_branch
      arguments:
        branch: ~
        branch_from:
          default: origin/master
```
